Package org.apache.batchee.spring.ui

## Class BatchEEJobOperator

- java.lang.Object
- - org.apache.batchee.spring.ui.DelegatingJobOperator
  - - org.apache.batchee.spring.ui.BatchEEJobOperator

- All Implemented Interfaces:
    `javax.batch.operations.JobOperator`

      public class BatchEEJobOperator
      extends DelegatingJobOperator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BatchEEJobOperator.Context` |

  - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.spring.ui.DelegatingJobOperator

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchEEJobOperator​(javax.batch.operations.JobOperator builtIn, String... defaultJobNames)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<String>` | `getJobNames()` |

    - ### Methods inherited from class org.apache.batchee.spring.ui.DelegatingJobOperator

      `abandon, getJobExecution, getJobExecutions, getJobInstance, getJobInstanceCount, getJobInstances, getParameters, getRunningExecutions, getStepExecutions, restart, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchEEJobOperator

          public BatchEEJobOperator​(javax.batch.operations.JobOperator builtIn,
                                    String... defaultJobNames)

  - ### Method Detail

    - #### getJobNames

          public Set<String> getJobNames()
                                  throws javax.batch.operations.JobSecurityException

      Specified by:
        `getJobNames` in interface `javax.batch.operations.JobOperator`
      Overrides:
        `getJobNames` in class `DelegatingJobOperator`
      Throws:
        `javax.batch.operations.JobSecurityException`